<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/QualifiedName/QualifiedName.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.QualifiedName.QualifiedName</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../QualifiedName.html" >QualifiedName</a>
</div><div class="class-name">class QualifiedName

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/QualifiedName.py.html" target="detail">../Synopsis/QualifiedName.py</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.QualifiedName.QualifiedName" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line8" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="QualifiedName-inheritance" src="QualifiedName-inheritance.png" hspace="8" vspace="8" border="0" usemap="#QualifiedName-inheritance_map" />
<map name="QualifiedName-inheritance_map"><area alt="Scopes/Synopsis/QualifiedName/QualifiedPythonName.html" href="QualifiedPythonName.html" shape="rect" coords="5, 81, 291, 105" />
<area alt="Scopes/Synopsis/QualifiedName/QualifiedCxxName.html" href="QualifiedCxxName.html" shape="rect" coords="315, 81, 584, 105" />
<area alt="Scopes/Synopsis/Processors/MacroFilter/MacroFilter.html" href="../Processors/MacroFilter/MacroFilter.html" shape="rect" coords="608, 81, 877, 105" />
<area alt="Scopes/Synopsis/Processors/ModuleSorter/ModuleSorter.html" href="../Processors/ModuleSorter/ModuleSorter.html" shape="rect" coords="901, 81, 1197, 105" />
<area alt="Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html" href="../Parsers/Cpp/Emulator/CompilerList.html" shape="rect" coords="1221, 81, 1491, 105" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Private Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="QualifiedName.html#__getslice__" >__getslice__</a></span>(<span class="variable">self</span>, <span class="variable">begin</span>, <span class="variable">end</span>)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.QualifiedName.QualifiedName.__getslice__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line22" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">This method exists because python &lt; 3.0 still uses __getslice__
        for builtin types.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="QualifiedName.html#__add__" >__add__</a></span>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.QualifiedName.QualifiedName.__add__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line28" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Overload self + other to preserve the type.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="sep">sep</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line10" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="QualifiedName.html#__getitem__" >__getitem__</a></span>(<span class="variable">self</span>, <span class="variable">i</span>)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.QualifiedName.QualifiedName.__getitem__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line12" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">If i is a slice&#44; make sure a QualifiedName is returned.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="QualifiedName.html#prune" >prune</a></span>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.QualifiedName.QualifiedName.prune" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line33" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return a copy of other with any prefix it shares with self removed.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Private Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__getslice__">__getslice__</a>(<span class="variable">self</span>, <span class="variable">begin</span>, <span class="variable">end</span>)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.QualifiedName.QualifiedName.__getslice__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line22" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">This method exists because python &lt; 3.0 still uses __getslice__
        for builtin types. &#40;See http://bugs.python.org/issue2041&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__add__">__add__</a>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.QualifiedName.QualifiedName.__add__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line28" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Overload self + other to preserve the type.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__getitem__">__getitem__</a>(<span class="variable">self</span>, <span class="variable">i</span>)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.QualifiedName.QualifiedName.__getitem__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line12" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">If i is a slice&#44; make sure a QualifiedName is returned.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="prune">prune</a>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis.QualifiedName.QualifiedName.prune" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/QualifiedName.py.html#line33" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return a copy of other with any prefix it shares with self removed.
   
        e.g. &#40;'A'&#44; 'B'&#44; 'C'&#44; 'D'&#41;.prune&#40;&#40;'A'&#44; 'B'&#44; 'D'&#41;&#41; -&gt; &#40;'C'&#44; 'D'&#41;</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
